"use strict";
(function() {

  window.addEventListener("load", () => {
    id("day-btn").addEventListener("click", fetchFullMenu);
  });

  function fetchFullMenu() {
    fetch("/dayplan")
      .then(checkStatus)
      .then(resp => resp.json())
      .then(populateFullMenu)
      .catch(console.log);
  }

  function populateFullMenu(responseData) {
    id("day-results").classList.remove("hidden");
    for (let key in responseData) {
      let item = responseData[key];
      qs("#" + key + " .name").textContent = item.name;
      qs("#" + key + " .description").textContent = item.description;
      let ul = qs("#" + key + " .food-groups");
      ul.innerHTML = "";
      for (let i = 0; i < item["food-groups"].length; i++) {
        let li = gen("li");
        li.textContent = item["food-groups"][i];
        ul.appendChild(li);
      }
    }
  }

  function checkStatus(response) {
    if (!response.ok) {
      throw Error("Error in request: " + response.statusText)
    }
    return response;
  }

  function id(id) {
    return document.getElementById(id);
  }

  function qs(el) {
    return document.querySelector(el);
  }

  function gen(tagName) {
    return document.createElement(tagName);
  }

})();
